Wikipedia.org Portal: add event logging for selection of language in search box
Closed, ResolvedPublic8 Story Points

Description

On the wikipedia.org portal page - in the search box - there is a language selection dropdown. Currently, if the user changes the default language in that search box (it defaults to whatever the browser's preferred language is set as) - we don't have a way to track or log that change.

This ticket is to update the eventlogging schema and collection to take into account when a user changes the language selection dropdown and completes a query from the wikipedia portal page.

We want to know:

  • if the user changed the language
  • what they changed the language to
  • if they did a query and then went to a search result or article in that language

debt created this task.Aug 16 2016, 8:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2016, 8:33 PM
debt triaged this task as Normal priority.Aug 16 2016, 8:34 PM

Wikipedia.org Portal --> Wikimedia-Portals

mpopov claimed this task.Aug 25 2016, 5:25 PM
mpopov set the point value for this task to 8.

Change 309217 had a related patch set uploaded (by Bearloga):
Track language searched & search language switching

https://gerrit.wikimedia.org/r/309217

The patch is off to @Jdrewniak for CR.

Change 309217 merged by jenkins-bot:
Track language searched & search language switching

https://gerrit.wikimedia.org/r/309217

Change 310055 had a related patch set uploaded (by Bearloga):
Update for new EL table with new tracking

https://gerrit.wikimedia.org/r/310055

Change 310055 merged by Chelsyx:
Update for new EL table with new tracking

https://gerrit.wikimedia.org/r/310055

mpopov added a comment.EditedSep 13 2016, 10:57 PM

Event logging change has been deployed! New data is coming in A-OK! Will add "% of sessions where user switched search language" to the dashboard once we have a few more days of data.

This task is, technically, done :)

@mpopov Awesome! Nice work!

debt added a comment.Sep 15 2016, 11:20 PM

woohoo - good job, @chelsyx and @mpopov ! :)

debt closed this task as Resolved.Sep 16 2016, 7:02 PM